Bug 1219 - sub lunar position vs. datetime
Summary: sub lunar position vs. datetime
Status: RESOLVED FIXED
Alias: None
Product: DIRSIG4
Classification: Unclassified
Component: Atmosphere (show other bugs)
Version: 4.7.0-release
Hardware: Other Linux 64-bit
: P5 normal
Assignee: Scott D. Brown
URL:
Depends on:
Blocks:
 
Reported: 2016-05-04 23:44 EDT by Jeff Dank
Modified: 2016-09-13 09:24 EDT (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jeff Dank 2016-05-04 23:44:34 EDT
I checked the lunar position being reported in one of the saved tape5 files from bug 1215 with STK and there was a mismatch. I then checked what was reported with the current time (03:18am GMT 5/5/2016) and it was much much closer.

I then checked these three times which I think should be the same:
1) <datetime type="absolute">2016-03-05T02:45:00.0000-00:00</datetime>
2) <datetime type="absolute">2016-03-05T01:45:00.0000-01:00</datetime>
3) <datetime type="absolute">2016-03-04T20:45:00.0000-06:00</datetime>

Case 1 and 2 resulted in the same lunar positions
Case 3 did not match


<datetime type="absolute">2016-03-05T02:45:00.0000-00:00</datetime>

results in:
Exoatmospheric source summary:
    Sun position = 136.36 declination, 229.83 azimuth
    Sub-Solar location = -5.92 +N Latitude, -218.39 +E Longitude

    Moon position = 134.28 declination, 151.97 azimuth
    Sub-Lunar location = -16.47 +N Latitude, -130.13 +E Longitude
    Phase fraction = 29.36, Phase angle = 127.04


<datetime type="absolute">2016-03-05T01:45:00.0000-01:00</datetime>

results in:
Exoatmospheric source summary:
    Sun position = 136.36 declination, 229.83 azimuth
    Sub-Solar location = -5.92 +N Latitude, -218.39 +E Longitude

    Moon position = 134.28 declination, 151.97 azimuth
    Sub-Lunar location = -16.47 +N Latitude, -130.13 +E Longitude
    Phase fraction = 29.36, Phase angle = 127.04


<datetime type="absolute">2016-03-04T20:45:00.0000-06:00</datetime>

results in:
Exoatmospheric source summary:
    Sun position = 136.04 declination, 229.50 azimuth
    Sub-Solar location = -6.31 +N Latitude, -218.33 +E Longitude

    Moon position = 126.87 declination, 139.22 azimuth
    Sub-Lunar location = -17.49 +N Latitude, -142.82 +E Longitude
    Phase fraction = 36.15, Phase angle = 114.79



STK is giving me -17.088 +N Latitude  88.751 +E Longitude  for sub-lunar position at this time
Comment 1 Scott D. Brown 2016-05-10 14:31:21 EDT
You are really good at finding these right as we kick out a software update. Give me a day or two to catch up and I will look into it. Thanks for the details.
Comment 2 Scott D. Brown 2016-09-13 08:43:17 EDT
Somehow this fell off my todo list. Looking into it now.
Comment 3 Scott D. Brown 2016-09-13 09:24:03 EDT
Fixed an issue where the ephemeris routines didn't handle rollovers in the date when the UTC offset created on. The reason case #3 was different was because it was returning the location for the 2:45 UTC on 2016-03-04 rather than on 2016-03-05.

This fix will appear in 4.7.2